variables:
  DOCKER_USERNAME: "DockerRepositoryT4C"
  DOCKER_PASSWORD: "AlUnzXAv3NftvkgBm1Nw6IJYM+ufMath"
  IMAGE_VERSION: "1.0"

stages:
  - prepare-docker


express:
  image: docker:latest
  stage: prepare-docker
  services:
    - docker:dind
  script:
    - docker login -u "$DOCKER_USERNAME" -p "$DOCKER_PASSWORD" docker.io
    - docker pull mauromazzocchetti/metadata-crawler:latest
    - docker build --progress=plain --tag="mauromazzocchetti/metadata-crawler:$IMAGE_VERSION" --tag="mauromazzocchetti/metadata-crawler:latest" ./
    - docker push mauromazzocchetti/metadata-crawler:$IMAGE_VERSION
    - docker push mauromazzocchetti/metadata-crawler:latest
    - docker logout
  only:
    - main
